### Class

# Gio DataOutputStream

since: 2.0

#### Description

    class Gio.DataOutputStream : Gio.FilterOutputStream
      implements Gio.Seekable {
      /* No available fields */
    }

Data output stream implements `GOutputStream` and includes functions for writing data directly to an output stream.

Available since: 2.0

#### Ancestors

- GFilterOutputStream
- GOutputStream
- GObject

#### Implements

- GSeekable

#### Constructors

###### g_data_output_stream_new

Creates a new data output stream for `base_stream`.

since: 2.0

#### Instance methods

###### g_data_output_stream_get_byte_order

Gets the byte order for the stream.

since: 2.0

###### g_data_output_stream_put_byte

Puts a byte into the output stream.

since: 2.0

###### g_data_output_stream_put_int16

Puts a signed 16-bit integer into the output stream.

since: 2.0

###### g_data_output_stream_put_int32

Puts a signed 32-bit integer into the output stream.

since: 2.0

###### g_data_output_stream_put_int64

Puts a signed 64-bit integer into the stream.

since: 2.0

###### g_data_output_stream_put_string

Puts a string into the output stream.

since: 2.0

###### g_data_output_stream_put_uint16

Puts an unsigned 16-bit integer into the output stream.

since: 2.0

###### g_data_output_stream_put_uint32

Puts an unsigned 32-bit integer into the stream.

since: 2.0

###### g_data_output_stream_put_uint64

Puts an unsigned 64-bit integer into the stream.

since: 2.0

###### g_data_output_stream_set_byte_order

Sets the byte order of the data output stream to `order`.

since: 2.0

##### Methods inherited from GFilterOutputStream (3)

###### g_filter_output_stream_get_base_stream

Gets the base stream for the filter stream.

since: 2.0

###### g_filter_output_stream_get_close_base_stream

Returns whether the base stream will be closed when `stream` is closed.

since: 2.0

###### g_filter_output_stream_set_close_base_stream

Sets whether the base stream will be closed when `stream` is closed.

since: 2.0

##### Methods inherited from GOutputStream (31)

Please see GOutputStream for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GSeekable (5)

###### g_seekable_can_seek

Tests if the stream supports the `GSeekableIface`.

since: 2.0

###### g_seekable_can_truncate

Tests if the length of the stream can be adjusted with g_seekable_truncate().

since: 2.0

###### g_seekable_seek

Seeks in the stream by the given `offset`, modified by `type`.

since: 2.0

###### g_seekable_tell

Tells the current position within the stream.

since: 2.0

###### g_seekable_truncate

Sets the length of the stream to `offset`. If the stream was previously larger than `offset`, the extra data is discarded. If the stream was previously shorter than `offset`, it is extended with NUL (‘\0’) bytes.

since: 2.0

#### Properties

###### Gio.DataOutputStream:byte-order

Determines the byte ordering that is used when writing multi-byte entities (such as integers) to the stream.

since: 2.0

##### Properties inherited from GFilterOutputStream (2)

###### Gio.FilterOutputStream:base-stream

No description available.

since: 2.0

###### Gio.FilterOutputStream:close-base-stream

Whether the base stream should be closed when the filter stream is closed.

since: 2.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GioDataOutputStreamClass {
      GFilterOutputStreamClass parent_class;
      void (* _g_reserved1) (
    void
      );
      void (* _g_reserved2) (
    void
      );
      void (* _g_reserved3) (
    void
      );
      void (* _g_reserved4) (
    void
      );
      void (* _g_reserved5) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GFilterOutputStreamClass`
  No description available.
`_g_reserved1: void (* _g_reserved1) ( void )`
  No description available.
`_g_reserved2: void (* _g_reserved2) ( void )`
  No description available.
`_g_reserved3: void (* _g_reserved3) ( void )`
  No description available.
`_g_reserved4: void (* _g_reserved4) ( void )`
  No description available.
`_g_reserved5: void (* _g_reserved5) ( void )`
  No description available.